package com.quinn.utils;

import java.util.StringTokenizer;
import java.util.UUID;

/**
 * @title UUIDGenerator
 * @description 随机生成32位UUID，格式如：a11686c39a154cf2a5238fb14cf3d097
 * <br>
 * <br>
 */
public class UUIDGenerator {
	/**
	 * 主键生成机制
	 * @return
	 */
	public static String randomUUID(){
		String result="";
		UUID uuid = UUID.randomUUID();
        String temp=uuid.toString();
        StringTokenizer token=new StringTokenizer(temp,"-");
        while(token.hasMoreTokens()){
        	result+=token.nextToken();
        }
		return result;
	}

}
